# Interface ActionHook

All Known Implementing Classes:
  `AbstractProcessor`, `AjpProcessor`, `Http11Processor`

public interface ActionHook
Action hook. Actions represent the callback mechanism used by coyote servlet containers to request operations on the coyote connectors. Some standard actions are defined in ActionCode, however custom actions are permitted. The param object can be used to pass and return information related with the action. This interface is typically implemented by ProtocolHandlers, and the param is usually a Request or Response object.

Author:
  Remy Maucherat

## Method Summary

Modifier and Type
Method
Description
`void`
`action(ActionCode actionCode, Object param)`
Send an action to the connector.

## Method Details

### action

void action(ActionCode actionCode, Object param)
Send an action to the connector.

Parameters:
  `actionCode` - Type of the action
  `param` - Action parameter